import Search from "./search.js";

/**
 * Element sub-component for the site menu search.
 * @abstract
 * @see Search
 */
export default class SearchElement {
	/**
	 * @param {Search}  search
	 * @param {Element} elem
	 */
	constructor(search, elem) {
		this.search = search;
		this._elem = elem;
	}
	/**
	 * @returns {Element}
	 */
	get elem() {
		return this._elem;
	}
}